Bug 1601813 - [3.9] Could not find an allocated subnet for node
Summary: [3.9] Could not find an allocated subnet for node
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.9.z
Assignee: Avesh Agarwal
QA Contact: Weihua Meng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-17 09:49 UTC by Weihua Meng
Modified: 2018-08-09 22:14 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Recently, cloudResourceSyncManager was implemented which continuously fetched node addresses from cloud providers. Kubelet then received node addresses from the cloudResourceSyncManager. At the time of node registration or kubelet start, kubelet fetches node addresses in a blocking loop from cloudResourceSyncManager. The issue was that cloudResourceSyncManager was not started before kubelet had started fetching node addresses from it for the first time, and due to this, kubelet got stuck in the blocking loop and never returned. It caused node failures at network level, and no node could be registered. Also as kubelet blocked early, the cloudResourceSyncManager never got a chance to start. Solution: CloudResourceSyncManager is now started early in the kubelet startup process so that kubelet does not get blocked on it and cloudResourceSyncManager is always started.
Clone Of: 1601378
Environment:
Last Closed: 2018-08-09 22:13:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:2335 None None None 2018-08-09 22:14:41 UTC

Comment 1 Derek Carr 2018-07-19 18:23:32 UTC
3.9 PR merged:
https://github.com/openshift/ose/pull/1363

Comment 3 Weihua Meng 2018-07-26 06:34:00 UTC
Fixed.

openshift v3.9.38
kubernetes v1.9.1+a0ce1bc657

Kernel Version: 3.10.0-862.9.1.el7.x86_64
Operating System: Red Hat Enterprise Linux Server 7.5 (Maipo)

no build attached to errata

change status to modified.

Comment 4 Weihua Meng 2018-08-01 09:23:10 UTC
fixed.

atomic-openshift-3.9.40-1.git.0.0c9824a.el7.x86_64

openshift v3.9.40

Kernel Version: 3.10.0-862.9.1.el7.x86_64
Operating System: Red Hat Enterprise Linux Server 7.5 (Maipo)

Comment 6 errata-xmlrpc 2018-08-09 22:13:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2335


Note You need to log in before you can comment on or make changes to this bug.